#!/usr/bin/awk -f
BEGIN { printf "const unsigned char main[] =\n"; }
END { print "  ;" }

{ code = "\"";
  for(i = 1; i < length($2); i += 2)
    code = code "\\x" substr($2, i, 2);
  code = code "\"";
  comment = $0;
  sub(/  *[^ ]*  */, ": ", comment);
  printf "  %-24s /* %-30s */\n", code, comment;
}
